Skip to main content
GET
/
phases
Get timetable phases
curl --request GET \
  --url https://rules.platform.arb.inc/phases
[
  {
    "id": "filing",
    "maxDurationInSeconds": 2592000,
    "documents": [
      {
        "id": "statement-of-claim",
        "filedBy": "claimant",
        "approvedBy": null,
        "maxAllowed": 1,
        "required": true,
        "recommended": false
      }
    ],
    "allowEvidenceSubmission": true,
    "autoAdvance": false
  }
]

Query Parameters

id
string
required

Unique identifier of the ruleset

Example:

"aaa-commercial-2023"

Response

Phases array returned successfully

id
string

Unique identifier for the phase

Example:

"filing"

maxDurationInSeconds
integer

Maximum duration in seconds for this phase

Example:

2592000

documents
object[]

Documents allowed in this phase

allowEvidenceSubmission
boolean

Whether parties can submit evidence during this phase

Example:

true

autoAdvance
boolean

Whether the phase automatically advances when requirements are met

Example:

false